Package org.apache.cxf.service

# Class ServiceModelSchemaValidator

java.lang.Object
org.apache.cxf.service.ServiceModelVisitor
org.apache.cxf.service.ServiceModelSchemaValidator

public class ServiceModelSchemaValidator extends ServiceModelVisitor

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.service.ServiceModelVisitor

  `serviceInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceModelSchemaValidator(ServiceInfo serviceInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `begin(MessagePartInfo part)`
  `String`
  `getComplaints()`

  ### Methods inherited from class org.apache.cxf.service.ServiceModelVisitor

  `begin, begin, begin, begin, begin, begin, begin, begin, end, end, end, end, end, end, end, end, end, walk`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceModelSchemaValidator

    public ServiceModelSchemaValidator(ServiceInfo serviceInfo)

- ## Method Details

  - ### getComplaints

    public String getComplaints()

  - ### begin

    public void begin(MessagePartInfo part)
    Overrides:
      `begin` in class `ServiceModelVisitor`